## r-cran-lamw 2.1.1

=== DESCRIPTION ===
Package: lamW
Type: Package
Title: Lambert-W Function
Version: 2.1.1
Date: 2022-01-18
Authors@R: c(person(given="Avraham", family="Adler",role=c("aut", "cph", "cre"),
    email="Avraham.Adler@gmail.com", comment = c(ORCID = "0000-0002-3039-0703")))
Description: Implements both real-valued branches of the Lambert-W function
    (Corless et al, 1996) <doi:10.1007/BF02124750> without the need for
    installing the entire GSL.
License: BSD_2_clause + file LICENSE
Depends: R (>= 3.0.2)
Imports: Rcpp, RcppParallel (>= 4.3.20)
LinkingTo: Rcpp, RcppParallel (>= 4.3.20)
SystemRequirements: GNU make
Suggests: covr, tinytest
NeedsCompilation: yes
URL: https://github.com/aadler/lamW
BugReports: https://github.com/aadler/lamW/issues
Packaged: 2022-01-19 00:29:21 UTC; Parents
Author: Avraham Adler [aut, cph, cre] (<https://orcid.org/0000-0002-3039-0703>)
Maintainer: Avraham Adler <Avraham.Adler@gmail.com>
Repository: CRAN
Date/Publication: 2022-01-19 00:52:42 UTC

=== debian/changelog ===
r-cran-lamw (2.1.1-1build2) jammy; urgency=medium

  * No-change rebuild with current r-cran-rcppparallel.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 Mar 2022 05:53:11 +0100

r-cran-lamw (2.1.1-1build1) jammy; urgency=medium

  * No-change rebuild for libtbb soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Mar 2022 10:33:16 +0100

r-cran-lamw (2.1.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 23 Jan 2022 17:32:12 +0100

r-cran-lamw (2.1.0-2) unstable; urgency=medium

  * Packaging update
  * Standards-Version: 4.6.0 (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 11 Oct 2021 13:50:46 +0200

r-cran-lamw (2.1.0-1) unstable; urgency=medium

  * Initial release (closes: #994805)

 -- Andreas Tille <tille@debian.org>  Tue, 21 Sep 2021 10:17:42 +0200

=== debian/control ===
Source: r-cran-lamw
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-rcpp,
               r-cran-rcppparallel
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-lamw
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-lamw.git
Homepage: https://cran.r-project.org/package=lamW
Rules-Requires-Root: no

Package: r-cran-lamw
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R Lambert-W function
 Implements both real-valued branches of the Lambert-W function
 (Corless et al, 1996) <doi:10.1007/BF02124750> without the need for
 installing the entire GSL.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/lamW_([-\d.]*)\.tar\.gz

## r-cran-lamw 2.1.2

=== DESCRIPTION ===
Package: lamW
Type: Package
Title: Lambert-W Function
Version: 2.1.2
Date: 2023-02-28
Authors@R: c(person(given="Avraham", family="Adler",role=c("aut", "cph", "cre"),
    email="Avraham.Adler@gmail.com", comment = c(ORCID = "0000-0002-3039-0703")))
Description: Implements both real-valued branches of the Lambert-W function
    (Corless et al, 1996) <doi:10.1007/BF02124750> without the need for
    installing the entire GSL.
License: BSD_2_clause + file LICENSE
Imports: Rcpp, RcppParallel
LinkingTo: Rcpp, RcppParallel
SystemRequirements: GNU make
Suggests: covr, tinytest
NeedsCompilation: yes
URL: https://github.com/aadler/lamW
BugReports: https://github.com/aadler/lamW/issues
Packaged: 2023-02-28 23:07:42 UTC; Parents
Author: Avraham Adler [aut, cph, cre] (<https://orcid.org/0000-0002-3039-0703>)
Maintainer: Avraham Adler <Avraham.Adler@gmail.com>
Repository: CRAN
Date/Publication: 2023-02-28 23:32:29 UTC

=== debian/changelog ===
r-cran-lamw (2.1.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 23 Jun 2023 15:16:30 +0200

r-cran-lamw (2.1.1-2) unstable; urgency=medium

  * Team upload.
  * Re-build with new r-cran-rcppparallel
    (Closes: #1012142)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 05 Jul 2022 20:09:14 +0530

## r-cran-lamw 2.2.3

=== DESCRIPTION ===
Package: lamW
Type: Package
Title: Lambert-W Function
Version: 2.2.3
Date: 2023-11-28
Authors@R: c(person(given="Avraham", family="Adler",role=c("aut", "cph", "cre"),
    email="Avraham.Adler@gmail.com", comment = c(ORCID = "0000-0002-3039-0703")))
Description: Implements both real-valued branches of the Lambert-W function
    (Corless et al, 1996) <doi:10.1007/BF02124750> without the need for
    installing the entire GSL.
License: BSD_2_clause + file LICENSE
Imports: Rcpp, RcppParallel
LinkingTo: Rcpp, RcppParallel
SystemRequirements: GNU make
Suggests: covr, tinytest, methods
NeedsCompilation: yes
URL: https://github.com/aadler/lamW
BugReports: https://github.com/aadler/lamW/issues
UseLTO: yes
Packaged: 2023-11-30 23:46:51 UTC; Parents
Author: Avraham Adler [aut, cph, cre] (<https://orcid.org/0000-0002-3039-0703>)
Maintainer: Avraham Adler <Avraham.Adler@gmail.com>
Repository: CRAN
Date/Publication: 2023-12-01 21:10:02 UTC

=== debian/changelog ===
r-cran-lamw (2.2.3-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 08 Jan 2024 20:06:40 +0100

r-cran-lamw (2.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Fri, 24 Nov 2023 01:20:40 +0000

r-cran-lamw (2.2.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 13 Oct 2023 22:36:44 +0200

r-cran-lamw (2.2.0-1) unstable; urgency=medium

  * New upstream version
  * Lintian-overrides for custom-library-search-path

 -- Andreas Tille <tille@debian.org>  Fri, 18 Aug 2023 23:12:59 +0200

=== debian/control ===
Source: r-cran-lamw
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-lamw
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-lamw.git
Homepage: https://cran.r-project.org/package=lamW
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-rcpp,
               r-cran-rcppparallel
Testsuite: autopkgtest-pkg-r

Package: r-cran-lamw
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R Lambert-W function
 Implements both real-valued branches of the Lambert-W function
 (Corless et al, 1996) <doi:10.1007/BF02124750> without the need for
 installing the entire GSL.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-covr,
        r-cran-tinytest
Restrictions: allow-stderr

## r-cran-lamw 2.2.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: lamW
 Type: Package
 Title: Lambert-W Function
-Version: 2.2.3
-Date: 2023-11-28
+Version: 2.2.4
+Date: 2024-06-16
 Authors@R: c(person(given="Avraham", family="Adler",role=c("aut", "cph", "cre"),
     email="Avraham.Adler@gmail.com", comment = c(ORCID = "0000-0002-3039-0703")))
 Description: Implements both real-valued branches of the Lambert-W function
@@ -17,8 +17,8 @@
 URL: https://github.com/aadler/lamW
 BugReports: https://github.com/aadler/lamW/issues
 UseLTO: yes
-Packaged: 2023-11-30 23:46:51 UTC; Parents
+Packaged: 2024-06-16 20:20:25 UTC; Parents
 Author: Avraham Adler [aut, cph, cre] (<https://orcid.org/0000-0002-3039-0703>)
 Maintainer: Avraham Adler <Avraham.Adler@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-12-01 21:10:02 UTC
+Date/Publication: 2024-06-17 13:30:05 UTC

=== debian/changelog ===
r-cran-lamw (2.2.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 03 Oct 2024 15:36:34 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-lamw
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-lamw.git
 Homepage: https://cran.r-project.org/package=lamW
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-lamw 2.2.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: lamW
 Type: Package
 Title: Lambert-W Function
-Version: 2.2.4
-Date: 2024-06-16
+Version: 2.2.6
+Date: 2026-01-07
 Authors@R: c(person(given="Avraham", family="Adler",role=c("aut", "cph", "cre"),
     email="Avraham.Adler@gmail.com", comment = c(ORCID = "0000-0002-3039-0703")))
 Description: Implements both real-valued branches of the Lambert-W function
@@ -17,8 +17,9 @@
 URL: https://github.com/aadler/lamW
 BugReports: https://github.com/aadler/lamW/issues
 UseLTO: yes
-Packaged: 2024-06-16 20:20:25 UTC; Parents
-Author: Avraham Adler [aut, cph, cre] (<https://orcid.org/0000-0002-3039-0703>)
+Packaged: 2026-01-07 19:32:27 UTC; Parents
+Author: Avraham Adler [aut, cph, cre] (ORCID:
+    <https://orcid.org/0000-0002-3039-0703>)
 Maintainer: Avraham Adler <Avraham.Adler@gmail.com>
 Repository: CRAN
-Date/Publication: 2024-06-17 13:30:05 UTC
+Date/Publication: 2026-01-08 06:11:12 UTC

=== debian/changelog ===
r-cran-lamw (2.2.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 15 Jan 2026 09:17:01 +0900

=== debian/control ===
Source: r-cran-lamw
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-rcpp,
               r-cran-rcppparallel,
               architecture-is-64-bit,
               architecture-is-little-endian
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-lamw
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-lamw.git
Homepage: https://cran.r-project.org/package=lamW
Rules-Requires-Root: no

Package: r-cran-lamw
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R Lambert-W function
 Implements both real-valued branches of the Lambert-W function
 (Corless et al, 1996) <doi:10.1007/BF02124750> without the need for
 installing the entire GSL.
